# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.92"
name = "bili_core"
version = "0.1.1"
authors = ["LJason <ljason@ljason77.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Bilibili Core"
readme = "README.md"
license-file = "LICENSE"
repository = "https://github.com/LJason77/BiliCore"

[features]
default = ["log"]
fav = []
log = []

[lib]
name = "bili_core"
path = "src/lib.rs"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "gzip",
]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
]

[target.'cfg(target_env = "musl")'.dependencies.mimalloc]
version = "0.1"
features = ["override"]

[lints.clippy]
expect_used = "deny"
pedantic = "deny"
unwrap_used = "deny"

[profile.release]
opt-level = "z"
lto = "fat"
codegen-units = 1
panic = "abort"
strip = "symbols"
